Subject: Re: bug#71699: 29.3; run-at-time early run
From: Eli Zaretskii <[email-masked]>
To: Christopher Howard <[email-masked]>
Cc: [email-masked]
Date: Sat, 22 Jun 2024 09:14:45 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

[Please use Reply All to reply, so that the bug tracker is CC'ed.]

> From: Christopher Howard <[email-masked]>
> Date: Fri, 21 Jun 2024 11:55:58 -0800
> 
> Okay, sorry I missed that. You can close this bug if appropriate.

Done.

> Is there a convenient way to specify a specific future time for the timer, if you aren't sure whether or not that time is today or not? (E.g., if the call was in your init.el.) I suppose I could do a calculation first of the exact number of seconds remaining until that time, and do a relative call, though that seems a little kludgy.

You could make your timer function do nothing if the current time is
much later than the intended time.  Or you could define a one-shot
timer that will run at midnight and start your main timer.  Or you
could decide that running the timer function immediately is not a big
deal and do nothing to prevent that.